Cash Ledger
curl --request GET \
--url https://api.sandbox.co.in/gst/compliance/tax-payer/ledgers/cash \
--header 'authorization: <authorization>' \
--header 'x-api-key: <x-api-key>'import requests
url = "https://api.sandbox.co.in/gst/compliance/tax-payer/ledgers/cash"
headers = {
"authorization": "<authorization>",
"x-api-key": "<x-api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {authorization: '<authorization>', 'x-api-key': '<x-api-key>'}
};
fetch('https://api.sandbox.co.in/gst/compliance/tax-payer/ledgers/cash', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"data": {
"data": {
"cl_bal": {
"cessbal": {
"fee": 0,
"intr": 0,
"oth": 0,
"pen": 0,
"tot": 0,
"tx": 0
},
"cgstbal": {
"fee": 0,
"intr": 0,
"oth": 0,
"pen": 0,
"tot": 0,
"tx": 0
},
"desc": "Closing Balance",
"igstbal": {
"fee": 0,
"intr": 0,
"oth": 0,
"pen": 0,
"tot": 0,
"tx": 0
},
"sgstbal": {
"fee": 0,
"intr": 0,
"oth": 0,
"pen": 0,
"tot": 0,
"tx": 0
},
"tot_rng_bal": 0
},
"fr_dt": "01/04/2024",
"gstin": "24AAACQ3770E1ZP",
"op_bal": {
"cessbal": {
"fee": 0,
"intr": 0,
"oth": 0,
"pen": 0,
"tot": 0,
"tx": 0
},
"cgstbal": {
"fee": 0,
"intr": 0,
"oth": 0,
"pen": 0,
"tot": 0,
"tx": 0
},
"desc": "Opening Balance",
"igstbal": {
"fee": 0,
"intr": 0,
"oth": 0,
"pen": 0,
"tot": 0,
"tx": 0
},
"sgstbal": {
"fee": 0,
"intr": 0,
"oth": 0,
"pen": 0,
"tot": 0,
"tx": 0
},
"tot_rng_bal": 0
},
"to_dt": "11/04/2024",
"tr": []
},
"status_cd": "1"
},
"timestamp": 1763446641000,
"transaction_id": "01459da0-b84b-4aab-9867-bb84e8c67348"
}Cash Ledger
Get Cash Ledger for the specified period for authenticated taxpayer
GET
/
gst
/
compliance
/
tax-payer
/
ledgers
/
cash
Cash Ledger
Response body schema
View response body schema
Headers
GST taxpayer access token. For token-generation steps, refer to the Generate Taxpayer Session recipe, then pass the token in the authorization header.
API key for identification
API version
Query Parameters
required To Date (DD/MM/YYYY)
Example:
"{{to_date}}"
From Date (DD/MM/YYYY)
Example:
"{{from_date}}"
Was this page helpful?
āI